Disable a wallet

Disables a static wallet.

DELETE/static-wallets/{walletId}

System information

API key
Required
Rate limit
∞
curl -X DELETE "https://api.atomic.wallet/api/v1/static-wallets/{walletId}" \
  -H "x-api-key: $API_KEY"
{
  "status": "disabled",
  "disabledAt": "2026-10-19T12:00:00.000Z"
}

Response fields

ParameterTypeDescription
statusstringWallet status — disabled.
disabledAtstringDeactivation date (ISO 8601).

Possible errors

HTTPCodeDescription
404PROJECT_STATIC_WALLET_NOT_FOUNDStatic wallet not found.